View Issue Details

IDProjectCategoryView StatusLast Update
0000547FreeCADFeaturepublic2014-05-11 20:04
ReporteryorikAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version0.13Fixed in Version0.13 
Summary0000547: Drawing module - editable title blocks
Descriptionfrom http://sourceforge.net/apps/phpbb/free-cad/posting.php?mode=reply&f=10&t=2001

The idea is to allow to edit titleblocks texts from inside freecad.
I see it that way:

- Texts must be marked with a freecad:editable="uniqueTextName" attribute in the template
- Add a GUI command to the Drawing module to gather and edit those names
- Create a new View object type to store edited strings in a PropertyStringList
- That object gets added to the document whenever the GUI tool is used
- If such View object is present, have the page update the text values
TagsNo tags attached.

Relationships

related to 0001540 closedyorik Drawing Drawing / Editable Texts / not updating - just needs App.ActiveDocument.recompute() 

Activities

yorik

2012-01-13 13:08

administrator   ~0001572

This is now implemented, although in a different form... I'll close this issue, reopen if any problem!

Issue History

Date Modified Username Field Change
2011-12-19 13:25 yorik New Issue
2011-12-19 13:25 yorik Status new => assigned
2011-12-19 13:25 yorik Assigned To => yorik
2012-01-13 13:08 yorik Note Added: 0001572
2012-01-13 13:08 yorik Status assigned => closed
2012-01-13 13:08 yorik Resolution open => fixed
2012-01-13 13:08 yorik Fixed in Version => 0.13
2014-05-11 18:31 shoogen Relationship added related to 0001540
2014-05-11 18:31 shoogen Relationship deleted related to 0001540
2014-05-11 20:04 yorik Relationship added related to 0001540